> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> 
Create a new project in your workspace. Use to organize prompts, datasets, and observability data by team or application.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects:
    post:
      tags:
        - Configuration
      summary: Create Project
      description: >-

        Create a new project in your workspace. Use to organize prompts,
        datasets, and observability data by team or application.
      operationId: post_create_project
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
                is_private:
                  default: false
                  title: Is Private
                  type: boolean
                id:
                  default: null
                  title: Id
                  format: uuid
                  type:
                    - string
                    - 'null'
                freeplay_spend_limit_usd:
                  default: null
                  title: Freeplay Spend Limit Usd
                  type:
                    - integer
                    - 'null'
                data_retention_days:
                  default: null
                  title: Data Retention Days
                  type:
                    - integer
                    - 'null'
                enable_eval_insights:
                  default: true
                  title: Enable Eval Insights
                  type: boolean
                enable_review_insights:
                  default: true
                  title: Enable Review Insights
                  type: boolean
              required:
                - name
              title: CreateProjectRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  is_private:
                    title: Is Private
                    type: boolean
                  freeplay_spend_limit_usd:
                    title: Freeplay Spend Limit Usd
                    type:
                      - integer
                      - 'null'
                  data_retention_days:
                    title: Data Retention Days
                    type:
                      - integer
                      - 'null'
                  enable_eval_insights:
                    title: Enable Eval Insights
                    type: boolean
                  enable_review_insights:
                    title: Enable Review Insights
                    type: boolean
                required:
                  - id
                  - name
                  - is_private
                  - freeplay_spend_limit_usd
                  - data_retention_days
                  - enable_eval_insights
                  - enable_review_insights
                title: ProjectDetail
                type: object
          description: >-
            ProjectDetail(id: uuid.UUID, name: str, is_private: bool,
            freeplay_spend_limit_usd: Optional[int], data_retention_days:
            Optional[int], enable_eval_insights: bool, enable_review_insights:
            bool)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````